#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-safe/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: safe
version: 0.3.15
id: safe-0.3.15-6OA982eMBjOFxH3lr17dDm
key: safe-0.3.15-6OA982eMBjOFxH3lr17dDm
license: BSD-3-Clause
copyright: Neil Mitchell 2007-2017
maintainer: Neil Mitchell <ndmitchell@gmail.com>
author: Neil Mitchell <ndmitchell@gmail.com>
homepage: https://github.com/ndmitchell/safe#readme
synopsis: Library of safe (exception free) functions
description:
    A library wrapping @Prelude@/@Data.List@ functions that can throw exceptions, such as @head@ and @!!@.
    Each unsafe function has up to four variants, e.g. with @tail@:
    .
    * @tail :: [a] -> [a]@, raises an error on @tail []@.
    .
    * @tailMay :: [a] -> /Maybe/ [a]@, turns errors into @Nothing@.
    .
    * @tailDef :: /[a]/ -> [a] -> [a]@, takes a default to return on errors.
    .
    * @tailNote :: /String/ -> [a] -> [a]@, takes an extra argument which supplements the error message.
    .
    * @tailSafe :: [a] -> [a]@, returns some sensible default if possible, @[]@ in the case of @tail@.
    .
    This package is divided into three modules:
    .
    * "Safe" contains safe variants of @Prelude@ and @Data.List@ functions.
    .
    * "Safe.Foldable" contains safe variants of @Foldable@ functions.
    .
    * "Safe.Exact" creates crashing versions of functions like @zip@ (errors if the lists are not equal) and @take@ (errors if there are not enough elements), then wraps them to provide safe variants.
category: Unclassified
abi: 1e980e2ed0d38258664ac28c243cc8d6
exposed: True
exposed-modules:
    Safe Safe.Exact Safe.Foldable Safe.Partial
hidden-modules: Safe.Util
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/safe-0.3.15
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/safe-0.3.15
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/safe-0.3.15
hs-libraries: HSsafe-0.3.15-6OA982eMBjOFxH3lr17dDm
include-dirs: /usr/local/include
depends:
    base-4.11.1.0
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/safe-0.3.15/html/safe.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/safe-0.3.15/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

